@import url(../fonts/fonts.css);
html {
  scroll-behavior: smooth;
}

body
{
  font-family: 'Pressura','Helvetica', sans-serif;
  font-size: 22px;
  line-height: 1.40;
  letter-spacing: 1px;
  color: #100D0D;
  background-color: #f5f5f5;
  margin: 0;
  font-weight: 200;
  --page-margin: 20px;
  --accent-color: #100D0D;
  --contrast-color: white;
}

.colorVariant0 {
    --accent-color: #EF7C41;
    --contrast-color: #100D0D;
}

.colorVariant1 {
    --accent-color: #51ABF8;
    --contrast-color: #100D0D;
}

.colorVariant2 {
    --accent-color: #AC88F9;
    --contrast-color: #100D0D;
}

.colorVariant3 {
    --accent-color: #50B631;
    --contrast-color: #100D0D;
}

p:first-child {
    margin-block-start: 0;
}

.author::after {
    content: " |";
    font-weight: 200;
}

.author {
    font-weight: normal;
}

.contactGroupName {
    margin: var(--page-margin);
    text-transform: uppercase;
}



/*//////////////////////////////////////////*/

a,a:hover {
    color: unset;
    text-decoration: none;
    font-weight: 700;
}

a:hover {
    opacity: 0.85;
}

p a:hover {
    text-decoration: underline;
    text-underline-offset: 0.25em;
    text-decoration-thickness: 2px;
}

h1, h2, h3 {
    line-height: 120%;
    margin: initial;
}

h1 {
    font-size: 80px;
}

.tx_black{
  color: #100D0D;
}

.bg_orange{
  background-color: #EF7C41;
}

.bg_blue{
  background-color: #51ABF8;
}

.bg_purple{
  background-color: #AC88F9;
}

.bg_green{
  background-color: #50B631;
}



.btn{
    border-radius: 5px;
    border: 2px solid #100D0D;
    padding: 9px 10px 11px;
    text-align: center;
    transition: 0.2s all linear;
    cursor: pointer;
    font-size: 30px;
    line-height: 30px;
    box-sizing: border-box;
    font-weight: bold;
}

.btn:hover {
    color: #100D0D;
}

.ctas a.bg_orange:hover,
.bg_orange .btn:hover
{
    color: #EF7C41;
    background-color: #100D0D;
}
.ctas a.bg_purple:hover,
.bg_purple .btn:hover{
    color: #AC88F9;
    background-color: #100D0D;
}
.ctas a.bg_green:hover,
.bg_green .btn:hover{
    color: #50B631;
    background-color: #100D0D;
}
.ctas a.bg_blue:hover,
.bg_blue .btn:hover{
    color: #51ABF8;
    background-color: #100D0D;
}


.btn.tx_black.bg_blue:hover{
   color: #100D0D;
  background-color: #51ABF8;
}
.btn.tx_black.bg_purple:hover{
   color: #100D0D;
  background-color: #AC88F9;
}
.btn.tx_black.bg_green:hover{
   color: #100D0D;
  background-color: #50B631;
}
input{
    font-family: 'Pressura', 'Helvetica', sans-serif;
    background-color: #f5f5f5;
    border: 1px solid black;
    border-radius: 5px;
    padding: 10px 20px;
}

H1::selection,
H2::selection,
H3::selection,
li::selection,
div::selection,
p::selection,
a::selection,
b::selection,
img::selection,
span::selection
{
    background-color: var(--contrast-color); /* Swap to white on hover */
    color: var(--accent-color); /* Text adopts the accent color */
    border-color: var(--accent-color);
}




.topBar {
    padding: var(--page-margin);
    display: flex;
    flex-direction: row;
    align-items: baseline;
    gap: 20px;

    font-weight: normal;
    letter-spacing: -2.4px;
}

.topBar .langSwitcher {
    opacity: 1.0;
    text-transform: uppercase;

    font-weight: 400;
    font-size: 50px;
    line-height: 50px;
}

.topBar .langSwitcher:hover {
    opacity: 0.5;
}

.langSwitcher .shortName {
    display: none;
}

.hamburger{
  width: 50px;
  height: 50px;
  cursor: pointer;
  flex-shrink: 0;
}
.hamburger img{
  width: 100%;
}

.menu_top {
    width: 600px;
    position: fixed;
    left: -600px;
    top: 0;
    bottom: 0;
    background-color: #100D0D;
    z-index: 10;
    color: white;
    transition: 0.4s all ease-out;
}
.menu_top.open{
    left: 0;
}
.menu_top>.menu{
    position: relative;
    margin: 120px auto 60px;
    width: 410px;
}

.menu_top a {
    color: unset;
}

.menu_top>.menu a{
    display: block;
    font-size: 60px;
    line-height: 120%;
    font-weight: 700;
}

.menu_top a:hover {
    color: #AC88F9;
}

.menu a:hover::after {
    width: 100%;
}

/*
.menu a::after {
    content: "";
    width: 0;
    height: .05em;
    display: block;
    background: #fff;
    transition: .3s;
}
*/


.menu_top .social{
    display: flex;
    flex-wrap:wrap;
    align-items: center;
    justify-content: flex-start;
    width: 410px;
    margin: auto;
    gap: 10px;
}

.menu_top .social a{
    text-decoration:none;border:0;width:26px;height:26px;
    padding:2px;margin:5px;color:#100D0D;border-radius:16%;
    background-color:#ffffff;
}

.menu_top .social a.fb:hover{
    background-color: #51ABF8;
}

.menu_top .social a.ig:hover{
    background-color: #EF7C41;
}

.hamburger img{
    width: 100%;
}

.logo{
    max-width: calc(100% - 80px);
}

.logo svg {
    height: 50px;
}

.logo path {
    fill: black;
    stroke-width: 0;
    height: 50px;
}

.menu_top .logo path {
    fill: white;
}

.main_img{
  position: relative;
  min-height: 400px;
  height: 33vw;
  margin: 0 var(--page-margin) 0;
  width: calc(100% - 2 * var(--page-margin));
}

.poster {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.main_img>.tx_center{
    position: absolute;
    text-align: center;
    transform: translate(0, -50%);
    left: 0;
    width: 100%;
    right: 0;
    z-index: 2;
    top: 50%;
}
.main_img>.tx_center>.text{
    color: white;
    font-weight: bold;
    padding: 0 20px;
    text-transform: uppercase;
}

.toothpick {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;

    margin: 40px 0;

    justify-content: space-around;

    text-transform: uppercase;
}

.toothpick .teeth {
    background-image: url(/assets/css/img/tri.svg);
    background-repeat: repeat-x;
    height: 60px;

    flex: 1;
    min-width: 0;
}

.toothpick .teeth.reverse {
    background-image: url(/assets/css/img/tri-reverse.svg);
    transform: scale(-1, 1);
}

.program{
    margin: 0 var(--page-margin);
}

.program .line{
    padding: 1rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-between;
    border-radius: 5px;
    position: relative;
    align-items: baseline;
}

.programItem {
    background-color: var(--accent-color);
    cursor: pointer;
}

.program .line.title{
    text-align: center;
    padding: 40px 0;
    display: block;
}
.program .line .date{
    font-size: 45px;
    font-weight: bold;
    line-height: 45px;
    width: calc(min(250px, 25%));
}

.program .line .title{
    min-width: 100px;
    flex: 1;
    margin: 0 0;
}
.program .line .title .l1{
    font-size: 40px;
    font-weight: bold;
    line-height: 100%;
}
.program .line .title .l2{
    margin-top: 10px;
}

.program .line .title .l2 p {
    margin: 0;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.program .line .btns{
    width: 240px;
}
.program .line .btns .btn{
    width: 200px;
    position: absolute;
    text-align: center;
    transform: translate(0, -50%);
    right: 35px;
    z-index: 2;
    top: 50%;
    text-transform: uppercase;
    /* font-size: 30px; */
    /* line-height: 30px; */
    padding: 14px 0 16px;
}

.btn.in:hover{
  filter: invert(1);
}

.btn.swap:hover{
    background-color: var(--contrast-color); /* Swap to white on hover */
    color: var(--accent-color); /* Text adopts the accent color */
    border-color: var(--accent-color); /* Border stays consistent */
}

.program .more{
    display: block;
    width: 250px;
    margin: 50px auto 100px;
}

.kudy_k_nam{
    margin: 0 var(--page-margin);
    border-radius: 5px;
    background-color: #100D0D;
    color: white;
    padding: var(--page-margin);
}

.kudy_k_nam h1{
  text-align: center;
  padding: 40px 0;
}

.kudy_k_nam .l1{
  display: flex;
  flex-direction: row;
  font-size: 50px;
  text-transform: uppercase;
  line-height: 120%;
  margin: var(--page-margin) 0 70px;
  flex-wrap: wrap;
}
.kudy_k_nam .l1 .adresa, .kudy_k_nam .l1 .cas{
    width: 50%;
    text-align: center;
    font-weight: bold;
}
.kudy_k_nam .l2{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
  padding: 0;
}
.kudy_k_nam .l2>div{
  width: calc(25% - 15px);
}
.kudy_k_nam .l2 .title{
  font-weight: bold;
}
.kudy_k_nam .l2 .text{margin-bottom: 0;max-width: 380px;}
.mapa{
    height: 33vw;
    position: relative;
    margin: 10px var(--page-margin);
}
.mapa h2{
  transform: translate(0, -50%);
  position: absolute;
  top: 50%;
/*  color: white;*/
  width: 100%;
  text-align: center;
  display: none;
}
.mapa iframe{
    width: 100%;
    height: 100%;
}

.ctas{
  display: grid;
  margin: 0 var(--page-margin);
  gap: 10px;
  grid-template-columns: repeat(4, 1fr);
}


.ctas a{
    grid-column: span 1;
    text-align: center;
    font-size: 30px;
    text-transform: uppercase;
    line-height: 200%;
    border-radius: 5px;
    font-weight: bold;
    transition: 0.2s all linear;
    cursor: pointer;
}

.ctas a.big {
    grid-column: span 2;
}


footer{
  min-height: 130px;
  margin: 0 var(--page-margin) 60px;
  position: relative;
}

footer .toothpick {
    margin: 100px 0;
}

footer .info{
    /* position: absolute; */
    bottom: 0;
    width: 50%;
    max-width: 730px;
    line-height: 1.2;
    font-size: smaller;
}
footer .loga{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-end;
    gap: 0 40px;
    position: absolute;
    bottom: 0;
    right: 0;
    max-width: 50%;
}
footer .loga img{width: calc(100% / 6 - 40px);}

.breadcrumb{
    padding: var(--page-margin);
    padding-top: 10px;
}

.akce{
    margin: 0 var(--page-margin);
    border-radius: 5px;
    background-color: var(--accent-color);
}


.akce .head{
    text-align: center;
    max-width: 1480px;
    margin: auto;
    padding: 0 var(--page-margin);
}
.akce .head .title{
    padding: 20px var(--page-margin) 0;
    padding-top: 100px;
    font-size: 100px;
    text-transform: uppercase;
}
.akce .head .cas{
    font-size: 60px;
    line-height: 120%;
    margin-top: 20px;
}

.akce .head .cta{
    margin-top: 60px;
    margin-bottom: 80px;
    display: flex;
    direction: column;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.akce .head .cta a{
    display: inline-block;
}

.akce .info {padding: 20px;display: flex;flex-direction: row;flex-wrap: wrap;justify-content: center;gap: 20px 40px;position: relative;max-width: 1480px;margin: auto;padding-bottom: 50px;}
.akce .info .text{
    width: calc(50% - 40px);
    /* max-width: 700px; */
}
.akce .info .bg{
    width: calc(50% - 10px);
    min-height: 1px;
    border-radius: 5px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}
.akce .info .img{
    width: calc(50% - 10px);
}

.akce .info .img img{
    width: 100%;
    display: block;
    margin-bottom: var(--page-margin);
}


.o_inde_popis{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    padding: var(--page-margin);
    padding-bottom: calc(var(--page-margin) * 0.7);
    gap: 20px;
    padding-top: calc(var(--page-margin) * 0.7);
    box-sizing: border-box;
}

.o_inde_popis .claim, .o_inde_popis .text {
    max-width: 900px;
    min-width: 300px;
    flex: 1;
}

.o_inde_popis>.claim{
    font-size: 60px;
    line-height: 1.20;
    font-weight: bold;
}

.infoBox {
    position: relative;
    border-radius: 5px;
    overflow: hidden;
    color: white;
    background-color: #000;
}

.featured, .program .line {
    margin-bottom: 10px;
}

.signpost.infoBox {
    margin: var(--page-margin);
}

.infoBox.thirdScreen {
    height: 30vw;
    min-height: 400px;
}

.infoBox > h3{
    font-size: 60px;
    padding: 10px 20px;
    position: relative;
    z-index: 1;
}

.infoBox > .desc{
    left: 20px;
    bottom: 20px;
    position: absolute;
    max-width: 50%;
    width: 700px;
    line-height: 140%;
}

.infoBox > img{
    object-fit: cover;
    width: 100%;
    height: 100%;

    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;

    z-index: 0;

    user-select: none;

    filter: brightness(0.7);
}

.infoBox>.btn{
    position: absolute;
    right: 20px;
    bottom: 20px;
    width: 200px;
    font-size: 40px;
    line-height: 50px;
    text-transform: uppercase;
    color: white;
    border-color: white;
}

.infoBox>.btn:hover{
    color: #100D0D;
    background: white;
}

.kontakty{
    padding: var(--page-margin);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
}
.kontakty .item{
    width: calc(25% - 15px);
    margin-bottom: 20px;
}

.kontakty a {
    font-weight: 100;
}

.warning {
    padding: 20px;
    background-color: var(--contrast-color);
    color: var(--accent-color);
    border-radius: 5px;
    /* font-size: 30px; */
    display: flex;
    gap: 5px;
    text-align: left;
    margin-top: 20px;
    margin-bottom: 20px;
}



.warning .type {
    font-weight: bold;
    flex-shrink: 0;
    width: 6em;
}

.warning::selection {
    color: var(--contrast-color);
    background-color: var(--accent-color)
}




@media only screen and (max-height: 800px){
    .menu_top{
        width: 500px;
        max-width: 50%;
        padding-right: var(--page-margin);
    }
    .menu_top>.menu{
        margin: 0px auto 60px;
        width: 300px;
        padding: 20px;
        overflow: hidden;
    }
    .menu_top .social{
        width:300px;
        padding: 20px;
    }
    .menu_top>.menu a{
        font-size:40px;
    }

}

@media only screen and (max-width: 1200px){
    h1{
        font-size: 60px;
        line-height: 120%;
    }
    body{
        font-size: 18px;
    }
    .o_inde_popis>.claim{
        font-size: 40px;
    }
    .akce .head .title{
        font-size: 80px;
    }
}
@media only screen and (max-width: 1000px){
    .langSwitcher .shortName {
        display: unset;
    }

    .langSwitcher .longName {
        display: none;
    }

    .program .line .date
    {
        font-size: 40px;
    }
    .o_inde_popis>.claim{
        font-size: 40px;
    }
    .akce .head .title{
        font-size: 60px;
    }
    .akce .head .cas{
        font-size: 40px;
    }
    footer .info{
        width: 100%;
    }
    footer .loga
    {
        position: initial;
        margin-top: 30px;
        max-width: 100%;
        justify-content: space-evenly;
    }
}
@media only screen and (max-width: 800px){
    .program .line .btns{
        display: none;
    }
    .program .line .title{
        padding-left: 40px;
    }
    .program .line .title .l2{
        font-size: 40px;
        font-weight: bold;
        margin-top: 0;
        opacity: 0.5;
     }

     .author {
        font-weight: unset;
     }

     .programItem .annotation{
        display: none;
     }

     .programItem .author::after{
        display: none;
     }

     .program .line .date{
        font-size: 40px;
        line-height: 120%;
     }

    .kudy_k_nam .l2>div{
        width: calc(50% - 15px);
    }
    .kudy_k_nam .l1{
        font-size: 30px;
    }
    .akce .info .text{
        width: 100%;
    }
    .akce .info .bg{
        display: none;
    }
    .akce .info .img{
        width: 100%;
    }
    .kontakty .item{
        width: calc(50% - 15px);
    }
}

.linkBox {
    display: flex;
    direction: row;
    margin: var(--page-margin);
    gap: var(--page-margin);
    flex-wrap: wrap;
    justify-content: center;
}

@media only screen and (max-width: 600px){
    body {
        --page-margin: 1rem;
        font-size: 16px;
    }

    h1 {
        font-size: 40px;
    }

    .hamburger {
        height: 40px;
        width: 40px;
    }

    .logo svg {
        height: 40px;
    }

    .menu_top {
        max-width: 100%;
        width: 100%;
    }
    header{
        padding: 1rem;
    }

    .program .teeth {
        display: none;
    }

    .program .line .date
    {
        font-size: 30px;
        line-height: 120%;
    }
    .program .line .title .l1, .program .line .title .l2
    {
        font-size: 30px;
    }

    .btn{
        font-size: 21px;
    }
    .kudy_k_nam .l1 .adresa{
        width: 100%;
        margin-bottom: 50px;
    }
    .kudy_k_nam .l1 .cas{
        width: 100%;
    }
    .kudy_k_nam .l2>div{
        width: 100%;
    }
    .mapa{
        margin-top: 10px;
    }

    .ctas {
        grid-template-columns: repeat(1, 1fr);
    }

    .ctas a, .ctas a.big {
        font-size: 21px;
        grid-column: span 1;
    }


    footer .loga{
        gap: 0 10px;
    }
    footer .loga img{
        width: calc(100% / 6 - 20px);
    }
    .akce{
        margin: 0 1rem;
    }
    .akce .head .title
    {
        font-size: 40px;
    }
    .akce .head .cas
    {
        font-size: 30px;
    }
    .akce .info{
        padding: 1rem 1rem;
    }
    .o_inde_popis>.claim{
        width: 100%;
        margin-top: -9px;
        line-height: 120%;
    }
    .o_inde_popis>.text{
        width: 100%;
    }


    .infoBox>.desc
    {
        width: initial;
        max-width: initial;
        right: 20px;
        bottom: 100px;
    }
    .infoBox>.btn{
        display: block;
        left: 20px;
        right: initial;
        width: 100px;
        font-size: 23px;
        height: initial;
        line-height: initial;
    }
    .akce .head{
        padding: 0 1rem;
    }

    .kudy_k_nam .l2{
        padding: 0;
    }

    .infoBox.thirdScreen{
        height: 60vh;
    }
    .akce .head .cta
    {
        margin-top: 40px;
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 400px){
    .langSwitcher {
        display: none;
    }
}


.margined {
    margin-left: var(--page-margin);
    margin-right: var(--page-margin);
}


.padder {
    flex-grow: 1;
}